Skip to content

Create file upload

Request

Creates a new File Upload record. File Upload resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
contentTypestringrequired

MIME type of the uploaded file (e.g., 'application/pdf', 'image/jpeg').

Example:"example"
extensionsobject

Vendor- or practice-specific extensions.

fileNamestringrequired

Original file name as provided by the client or system.

Example:"123e4567-e89b-12d3-a456-426614174000"
fileUploadIdstring

Canonical identifier for this file upload.

Example:"123e4567-e89b-12d3-a456-426614174000"
notesstring

Optional notes or description associated with the file.

Example:"Example description"
sizeBytesnumberrequired

Size of the uploaded file in bytes.

Example:1.23
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/file-upload' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contentType": "example",
    "extensions": {},
    "fileName": "123e4567-e89b-12d3-a456-426614174000",
    "fileUploadId": "123e4567-e89b-12d3-a456-426614174000",
    "notes": "Example description",
    "sizeBytes": 1.23
  }'

Responses

File Upload created successfully

Bodyapplication/json
contentTypestringrequired

MIME type of the uploaded file (e.g., 'application/pdf', 'image/jpeg').

Example:"example"
createdAtstring, (date-time)required

Timestamp when the file was created/uploaded in the system.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

fileNamestringrequired

Original file name as provided by the client or system.

Example:"123e4567-e89b-12d3-a456-426614174000"
fileUploadIdstringrequired

Canonical identifier for this file upload.

Example:"123e4567-e89b-12d3-a456-426614174000"
notesstringrequired

Optional notes or description associated with the file.

Example:"Example description"
sizeBytesnumberrequired

Size of the uploaded file in bytes.

Example:1.23
updatedAtstring, (date-time)required

Timestamp when the file metadata was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "contentType": "example", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "fileName": "123e4567-e89b-12d3-a456-426614174000", "fileUploadId": "123e4567-e89b-12d3-a456-426614174000", "notes": "Example description", "sizeBytes": 1.23, "updatedAt": "2025-01-01T00:00:00.000Z" }